NetMapListenerSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader.netmap
Class NetMapListenerSupport

    java.lang.Object
      com.bbn.openmap.graphicLoader.netmap.NetMapListenerSupport

All Implemented Interfaces:
  java.io.Serializable

    public class NetMapListenerSupport

extends java.lang.Object
implements java.io.Serializable

NetMapListenerSupport is used to manage NetMapListeners, and to distribute NetMapEvents to them.

See Also:
  Serialized Form

Constructor Summary
`NetMapListenerSupport()` Construct a NetMapListenerSupport.
`NetMapListenerSupport(java.lang.Object aSource)` Construct a NetMapListenerSupport.

Method Summary
`void` | `addNetMapListener(NetMapListener l)` Add a NetMapListener.
`void` | `clearNetMapListeners()` Remove all listeners.
`void` | `fireNetMapEvent(java.util.Properties eventProperties)` Send a center event to all registered listeners.
`java.util.Vector` | `getListeners()` Return a cloned list of Listeners.
`java.lang.Object` | `getSource()` Get the source object.
`void` | `removeNetMapListener(NetMapListener l)` Remove a NetMapListener.
`void` | `setSource(java.lang.Object aSource)` Set the source object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetMapListenerSupport

    public NetMapListenerSupport()

  Construct a NetMapListenerSupport.

### NetMapListenerSupport

    public NetMapListenerSupport(java.lang.Object aSource)

  Construct a NetMapListenerSupport.

  Parameters:
    `aSource` - source Object

Method Detail

### setSource

    public void setSource(java.lang.Object aSource)

  Set the source object.

  Parameters:
    `aSource` - source Object

### getSource

    public java.lang.Object getSource()

  Get the source object.

  Returns:
    Object source

### addNetMapListener

    public void addNetMapListener(NetMapListener l)

  Add a NetMapListener.

  Parameters:
    `l` - NetMapListener

### removeNetMapListener

    public void removeNetMapListener(NetMapListener l)

  Remove a NetMapListener.

  Parameters:
    `l` - NetMapListener

### getListeners

    public java.util.Vector getListeners()

  Return a cloned list of Listeners.

  Returns:
    Vector of listeners, null if none have been added.

### clearNetMapListeners

    public void clearNetMapListeners()

  Remove all listeners.

### fireNetMapEvent

    public void fireNetMapEvent(java.util.Properties eventProperties)

  Send a center event to all registered listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details